// ----------------------------------------------------------------------
// Overview
//   Timer display Window class for debugging
// ----------------------------------------------------------------------
#ifndef __TXTWIN_DEBUG_TIMER__
#define __TXTWIN_DEBUG_TIMER__

// ----------------------------------------------------------------------
// include original header
// ----------------------------------------------------------------------
#include	"TxtWindow.h"
#include	"TxtMenu.h"

// ----------------------------------------------------------------------
// define
// ----------------------------------------------------------------------
#define		MAX_TIMER	20

// ----------------------------------------------------------------------
// class
// ----------------------------------------------------------------------
class CTxtWinDebugTimer : public CTxtWindow
{
public:
	CTxtWinDebugTimer(int max_timer);
	~CTxtWinDebugTimer();

	int			Draw(CCtrlGraphics* graphics, const s32 display, int sx, int sy);

	void		SetTimerText	(int no, char* str);

	void		TimerStart		(int no);
	void		TimerEnd		(int no);

	void		TimerAllStart	();
	void		TimerAllEnd		();

private:
	int			m_max_timer;

	// Individual timer
	int			m_time_st[MAX_TIMER];
	int			m_time[MAX_TIMER];
	char		m_str[MAX_TIMER][64];

	// Overall timer
	int			m_time_all_st;
	int			m_time_all;
};

#endif // __TXTWIN_DEBUG_TIMER__
