// ----------------------------------------------------------------------
// Overview
//   Menu Window class
// ----------------------------------------------------------------------
#ifndef __TXTWIN_MENU__
#define __TXTWIN_MENU__

// ----------------------------------------------------------------------
// include system header
// ----------------------------------------------------------------------
#include	<nn/hid.h>

// ----------------------------------------------------------------------
// include original header
// ----------------------------------------------------------------------
#include	"TxtWindow.h"
#include	"TxtMenu.h"

// ----------------------------------------------------------------------
// using namespace
// ----------------------------------------------------------------------
using namespace nn::hid;

// ----------------------------------------------------------------------
// Menu ID
// ----------------------------------------------------------------------
typedef enum
{
	eMENU_START,
		eMENU_S_SIZE,
		eMENU_S_EXIT,
	eMENU_TOP,
		eMENU_T_SETTING_APPLICATION,
			eMENU_T_SA_ENABLE,
			eMENU_T_SA_DRAWQUALITY,
			eMENU_T_SA_EXIT,
		eMENU_T_SETTING_MGRLIB,
			eMENU_T_SM_MGMODE,
			eMENU_T_SM_FRMPARAM,
			eMENU_T_SM_SPDPARAM,
			eMENU_T_SM_SKNPARAM,		// Added from version 1.0.1
			eMENU_T_SM_EXIT,
		eMENU_T_SETTING_CAMERA,
			eMENU_T_SC_EXPOSURE,
			eMENU_T_SC_WHITEBALANCE,
			eMENU_T_SC_SHARPNESS,
			eMENU_T_SC_AUTOEXPOSURE,
			eMENU_T_SC_AUTOWHITEBALANCE,
			eMENU_T_SC_PHOTOMODE,
			eMENU_T_SC_CONTRAST,
			eMENU_T_SC_LENSCORRECTION,
			eMENU_T_SC_EXIT
}eItemID;

// ----------------------------------------------------------------------
// class 
// ----------------------------------------------------------------------
class CTxtWinMenu : public CTxtWindow
{
public:
	CTxtWinMenu();
	~CTxtWinMenu();

	int			Draw(CCtrlGraphics* graphics, const s32 display, int sx, int sy);
	void		Ctrl(PadStatus* padStatus);

	bool		IsEnableHandGesture();
	int			GetDrawQuality();


	int			GetMgMode	();
	int			GetFrmparam	();
	int			GetSpdparam	();
	int			GetSknparam	();		// Added from version 1.0.1 

private:
	CTxtMenu	m_menu;
	CTxtMenu	m_menu_sa;
	CTxtMenu	m_menu_sm;
	CTxtMenu	m_menu_sc;
};

#endif // __TXTWIN_MENU__
